%define upstream_name    Plack-Middleware-ReverseProxy
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Supports app to run as a reverse proxy backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack::Middleware::ReverseProxy resets some HTTP headers, which changed by
reverse-proxy. You can specify the reverse proxy address and stop fake
requests using 'enable_if' directive in your app.psgi.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Oct 13 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 154445
- update to 0.11
- update to 0.10
- imported package perl-Plack-Middleware-ReverseProxy


* Sat Aug 20 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
